Skip to main content
GET
/
v2
/
workflows
/
{workflowId}
/
steps
/
{stepId}
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->workflows->steps->retrieve(
    workflowId: '<id>',
    stepId: '<id>'

);

if ($response->stepResponseDto !== null) {
    // handle response
}
{
  "controls": {
    "dataSchema": {},
    "uiSchema": {
      "properties": {}
    }
  },
  "variables": {},
  "stepId": "<string>",
  "_id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "workflowId": "<string>",
  "workflowDatabaseId": "<string>",
  "controlValues": {},
  "issues": {
    "controls": {},
    "integration": {}
  },
  "stepResolverHash": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

workflowId
string
required
stepId
string
required

Response

OK

controls
object
required

Controls metadata for the step

variables
object
required

JSON Schema for variables, follows the JSON Schema standard

stepId
string
required

Unique identifier of the step

_id
string
required

Database identifier of the step

name
string
required

Name of the step

slug
string
required

Slug of the step

type
enum<string>
required

Type of the step

Available options:
in_app,
email,
sms,
chat,
push,
digest,
trigger,
delay,
throttle,
custom,
http_request
origin
enum<string>
required

Origin of the layout

Available options:
novu-cloud,
novu-cloud-v1,
external
workflowId
string
required

Workflow identifier

workflowDatabaseId
string
required

Workflow database identifier

controlValues
object

Control values for the step (alias for controls.values)

issues
object

Issues associated with the step

stepResolverHash
string

Hash identifying the deployed Cloudflare Worker for this step